using FluentValidation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WK5.Core.Basis.Filter.Statistik;

namespace WK5.Core.Validators.Statistik.Umsatzstatistik
{
    public class ArtikelUmsatzFilterValidator : AbstractValidator<ArtikelUmsatzFilter>
    {
        public ArtikelUmsatzFilterValidator()
        {
            RuleFor(x => x.AnzahlMaxErgebnisse)
                .LessThanOrEqualTo(100);

            RuleFor(x => x.Zeitraum.Von)
                .Must((x, y) => x.Zeitraum.Von < x.Zeitraum.Bis)
                .WithMessage("Von kann nicht größer sein als Bis");
        }
    }
}
